<template>
    <lightning-card>
        <template if:true={loaded}>
            <div class="slds-m-around_medium">
                <template if:true={invoiceLineItemData}>
                    <div style="height: 300px;">
                        <lightning-datatable key-field="billingDocumentItem" data={invoiceLineItemData} columns={columns} column-widths-mode="auto"   onrowselection={handleRowSelected}  oncellchange={handleCellChange} suppress-bottom-bar="true" >
                        </lightning-datatable>
                    </div>
                    <br/>
                    <lightning-button variant="brand" label="Save" title="Save" onclick={handleSave} disabled={isDisable}
                        class="slds-float_right slds-m-left_x-small"></lightning-button>

                        <lightning-button label="Cancel" title="Cancel" onclick={handleCancel}  
                        class="slds-float_right slds-m-left_x-small"></lightning-button>
                </template>
                <template if:true={error}>
                    {error}
                </template>
            </div>
        </template>

        <template if:false={loaded}>
            <lightning-spinner alternative-text="Loading"></lightning-spinner>
        </template>

    </lightning-card>
</template>